com.amazonaws.codegen.model.config.customization

## Class ShapeSubstitution

- java.lang.Object
- - com.amazonaws.codegen.model.config.customization.ShapeSubstitution

    public class ShapeSubstitution
    extends Object

Use shapeSubstitutions customization to override all appearances of the given shape with a new shape, and optionally use a specific member of the original shape as the data source. When emitFromMember is supplied, an additional marshalling and unmarshalling path is added to reflect the wire representation of the member.

### Constructor Summary

Constructors
Constructor and Description
`ShapeSubstitution()`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getEmitAsShape()`
`String` `getEmitFromMember()`
`List<String>` `getSkipMarshallPathForShapes()`
`void` `setEmitAsShape(String emitAsShape)`
`void` `setEmitFromMember(String emitFromMember)`
`void` `setSkipMarshallPathForShapes(List<String> skipMarshallPathForShapes)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ShapeSubstitution

    public ShapeSubstitution()

### Method Detail

#### getEmitAsShape

    public String getEmitAsShape()

#### setEmitAsShape

    public void setEmitAsShape(String emitAsShape)

#### getEmitFromMember

    public String getEmitFromMember()

#### setEmitFromMember

    public void setEmitFromMember(String emitFromMember)

#### getSkipMarshallPathForShapes

    public List<String> getSkipMarshallPathForShapes()

#### setSkipMarshallPathForShapes

    public void setSkipMarshallPathForShapes(List<String> skipMarshallPathForShapes)